hu.akarnokd.rxjava2.functions

## Class FunctionsEx

- java.lang.Object
- - hu.akarnokd.rxjava2.functions.FunctionsEx

    public final class FunctionsEx
    extends java.lang.Object

Utility methods to work with functional interfaces of this package.

### Method Summary

All Methods Static Methods Concrete Methods

`static <T extends io.reactivex.functions.Consumer<java.lang.Object> & io.reactivex.functions.BiConsumer<java.lang.Object,java.lang.Object> & Consumer3<java.lang.Object,java.lang.Object,java.lang.Object> & Consumer4<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer5<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer6<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer7<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer8<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer9<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>>
T`

`emptyConsumer()`
Returns a Consumer1-9 shared instance that ignores the argument(s) of its `accept()` methods.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### emptyConsumer

    public static <T extends io.reactivex.functions.Consumer<java.lang.Object> & io.reactivex.functions.BiConsumer<java.lang.Object,java.lang.Object> & Consumer3<java.lang.Object,java.lang.Object,java.lang.Object> & Consumer4<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer5<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer6<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer7<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer8<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object> & Consumer9<java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object,java.lang.Object>> T emptyConsumer()

Returns a Consumer1-9 shared instance that ignores the argument(s) of its `accept()` methods.

Type Parameters:
  `T` - the combined types of Consumer 1-9.
Returns:
  the empty Consumer1-9 shared instance